# IVRDPServer Interface Reference

List of all members.

## Public Attributes
attribute boolean | enabled
| VRDP server status.
attribute wstring | ports
| VRDP server port numbers.
attribute wstring | netAddress
| VRDP server address.
attribute VRDPAuthType | authType
| VRDP authentication method.
attribute unsigned long | authTimeout
| Timeout for guest authentication.
attribute boolean | allowMultiConnection
| Flag whether multiple simultaneous connections to the VM are permitted.
attribute boolean | reuseSingleConnection
| Flag whether the existing connection must be dropped and a new connection must be established by the VRDP server, when a new client connects in single connection mode.
attribute boolean | videoChannel
| Flag whether RDP video channel is supported.
attribute unsigned long | videoChannelQuality
| Image quality in percents.

## Member Data Documentation

attribute boolean IVRDPServer::enabled

VRDP server status.

attribute wstring IVRDPServer::ports

VRDP server port numbers.

The server will try to bind to one of free ports from the list.

Note:
  This is a string of comma separated TCP port numbers or port number ranges. Example `5000,5010-5012,5015`

attribute wstring IVRDPServer::netAddress

VRDP server address.

attribute VRDPAuthType IVRDPServer::authType

VRDP authentication method.

attribute unsigned long IVRDPServer::authTimeout

Timeout for guest authentication.

Milliseconds.

attribute boolean IVRDPServer::allowMultiConnection

Flag whether multiple simultaneous connections to the VM are permitted.

Note that this will be replaced by a more powerful mechanism in the future.

attribute boolean IVRDPServer::reuseSingleConnection

Flag whether the existing connection must be dropped and a new connection must be established by the VRDP server, when a new client connects in single connection mode.

attribute boolean IVRDPServer::videoChannel

Flag whether RDP video channel is supported.

attribute unsigned long IVRDPServer::videoChannelQuality

Image quality in percents.